[package]
name = "callout_dev"
version = "0.1.0"
edition = "2021"

[unstable]
async_iterator = true

[dependencies]
tower-service = "0.3.2"
console_error_panic_hook = { version = "0.1.1" }
anyhow = "1.0.91"
serde_json = "1.0.132"
oauth2 = "4.4.2"
config = "0.14.1"
dotenvy = "0.15.7"
serde = { version = "1.0.213", features = ["derive"] }
reqwest = { version = "0.12.8", features = ["json"] }
tracing = "0.1.40"
async-session = "3.0.0"
askama_axum = { version = "0.4.0", features = ["urlencode"] }
askama = { version = "0.12.1", features = ["with-axum"] }
futures = "0.3.31"
uuid = { version = "1.11.0", features = ["js", "serde", "v4", "v7"] }
rand = "0.8.5"
tracing-subscriber = { version = "0.3.19", features = ["chrono", "env-filter"] }
tower-http = { version = "0.6.2", features = ["compression-br", "compression-gzip", "fs", "trace", "tracing"] }
tokio = { version = "1.42.0", features = ["macros", "rt-multi-thread", "tracing"] }
deadpool-diesel = { version = "0.6.1", features = ["postgres", "serde"] }
axum = { version = "0.8.1", features = ["macros"] }
axum-extra = { version = "0.10.0", features = ["cookie", "typed-header"] }
chrono = { version = "0.4.39", features = ["serde"] }
base64 = "0.22.1"
diesel = { version = "2.2.6", features = ["postgres", "chrono", "uuid"] }
tower = "0.5.2"
